only run golint on latest version of go
diff --git a/.travis.yml b/.travis.yml
index 568aaa1..f7ea054 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,24 +3,29 @@
 
 go:
   - "stable"
-  - "1.10.4"
+  - "1.11.x"
+  - "1.10.x"
   - "1.9.x"
   - "1.8.x"
 
 matrix:
+  include:
+    - go: "stable"
+      env: GOLINT=true
   allow_failures:
     - go: tip
   fast_finish: true
 
-before_script:
-  - go get -u golang.org/x/lint/golint
+
+before_install:
+  - if [ ! -z "${GOLINT}" ]; then go get -u golang.org/x/lint/golint; fi
 
 script:
   - go test --race ./...
 
 after_script:
   - test -z "$(gofmt -s -l -w . | tee /dev/stderr)"
-  - test -z "$(golint ./...     | tee /dev/stderr)"
+  - if [ ! -z  "${GOLINT}" ]; then echo running golint; golint --set_exit_status  ./...; else echo skipping golint; fi
   - go vet ./...
 
 os: